<?php

if(empty($_REQUEST['manufacturer_id']) OR empty($_REQUEST['system_id']) OR empty($_REQUEST['type_id'])) {
   echo "Error message: at least one of your values is missing, please go through search page. ";
   // header('Location: search_drilldown.php');
   exit();
}


$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

// include '../pdloginvariables.php';

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>
    <?php

    $sql = 		"SELECT * FROM devices, systems, types, manufacturers WHERE 
                devices.manufacturer_id = manufacturers.manufacturer_id AND 
                devices.system_id = systems.system_id AND 
                devices.type_id = types.type_id ";
    $sql .= " AND name LIKE '%" .
        $_REQUEST['device_name'] . "%'";
    if($_REQUEST['manufacturer_id'] != "all") {
        $sql .= " AND manufacturer ='" . $_REQUEST["manufacturer_id"] . "'";
    }
    if($_REQUEST['system_id'] != "all") {
        $sql .=		" AND system = '" . $_REQUEST["system_id"] . "'";
    }
    if($_REQUEST['type_id'] != "all") {
        $sql .= " AND type = '" . $_REQUEST["type_id"] . "'";
    }

    $results = $mysql->query($sql);

    if(!$results) {
        echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
        echo "SQL Error: " . $mysql->error . "<hr>";
        exit();
    }


    echo "<em>Your search returned <strong>" .
        $results->num_rows .
        "</strong> results.</em>";
    echo "<br><br>";

    echo "<table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>";

    while($currentrow = $results->fetch_assoc()) {
        echo

            "<tr>" .
            "<td>" .
            "<a href='details.php?recordid=".
            $currentrow["device_id"]."'>" .
            $currentrow['name'] .
            "</a>".
            "</td>" .


            "<td>" .
            $currentrow['price']  .
            "</td>" .


            "<td>" .
            $currentrow['manufacturer']  .
            "</td>" .


            "<td>" .
            $currentrow['system']  .
            "</td>" .

            "<td>" .
            $currentrow['type']  .
            "</td>" .

            "</tr>";


    }
    echo "</table>" ;
    ?>


</div>

</body>

</html>